Bug 1647176 - Backport Intermitent error on OpenShift HAProxy Router reload fixes to 3.10
Summary: Backport Intermitent error on OpenShift HAProxy Router reload fixes to 3.10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.10.z
Assignee: Ram Ranganathan
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On: 1624078
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-06 19:40 UTC by Ram Ranganathan
Modified: 2018-12-13 17:09 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: When wildcard routes are enabled and namespace ownership checks are disabled, non-wildcard routes get removed and immediately re-added on the resync interval boundaries and this causes a brief route outage and results in intermittent errors on a route. Consequence: Intermittent errors on non-wildcard routes. See cause above. Fix: To not remove and re-add the routes on resync interval in the specific case when wildcard routes enabled and namespace ownership checks are disabled. Result: non-wildcard routes continue to serve without any intermittent errors after the fix.
Clone Of: 1624078
Environment:
Last Closed: 2018-12-13 17:09:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3750 None None None 2018-12-13 17:09:16 UTC
Github openshift ose pull 1423 None None None 2018-11-06 19:40:41 UTC

Comment 1 Ram Ranganathan 2018-11-06 19:43:23 UTC
Backport bugz #1624078 to OSE 3.10 
Associated PR: https://github.com/openshift/ose/pull/1423 
has been merged in.

Comment 5 Hongan Li 2018-12-03 06:56:34 UTC
vefied with atomic-openshift-3.10.83-1.git.0.a4cc75b.el7 and issue has been fixed.

steps as below:
1. enable wildcard and disable namespace ownership check.
$ oc set env dc/router ROUTER_ALLOW_WILDCARD_ROUTES=true ROUTER_DISABLE_NAMESPACE_OWNERSHIP_CHECK=true

2. create your project, pod, svc and non-wildcard route.
3. set loglevel=4 for router
$ oc patch dc -n default router -p '[{"op": "add", "path": "/spec/template/spec/containers/0/args", "value":["--loglevel=4"]}]' --type=json

Check the logs and no deleting/re-adding normal routes while router resyncing (every 10min).

Comment 7 errata-xmlrpc 2018-12-13 17:09:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3750


Note You need to log in before you can comment on or make changes to this bug.